> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.middesk.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server.

# List actions for an object

GET https://api.middesk.com/v1/actions

Reference: https://docs.middesk.com/api-reference/business-verification/actions/list-actions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `object_type` (enum, required) — Type of object to list actions for
  - Allowed values: `businesses`, `watchlist_result`
- `object_id` (string, required) — ID of the object to list actions for

## Response

### 200

actions with effects and actors

- `object` (string, required)
- `data` (list of Action, required)
- `url` (string, optional)

## Errors

### 400 List Actions Request Bad Request Error

invalid object_type

- `errors` (list of ErrorResponseErrorsItem, required)

## Types

### Action

- `id` (string, required)
- `type` (enum, required) — The action type that was performed
  - Allowed values: `add_sources`, `add_attributes`, `update_address_risk`, `verify_tin`, `decision`, `dismissal`
- `object_type` (enum, required) — The type of object the action was performed on
  - Allowed values: `Business`, `Watchlist::Result`
- `object_id` (string, required) — The ID of the object the action was performed on
- `created_at` (datetime, required)
- `effects` (list of ActionEffect, required) — List of effects describing what changed
- `actors` (list of ActionActor, required) — List of actors describing who initiated the action
- `note` (string, optional, nullable) — Optional text note describing the reason for the action
- `metadata` (map from string to any, optional) — Additional metadata associated with the action

### ErrorResponseErrorsItem

- `message` (string, required)
- `parameter` (string, optional) — Request parameter associated with the error, when applicable

### ActionEffect

- `operation` (enum, required) — The type of change that was made
  - Allowed values: `created`, `updated`, `linked`
- `diff` (map from string to any, required, nullable) — Before/after values for each changed field
- `target` (ActionEffectTarget, required, nullable)

### ActionActor

- `actor_type` (enum, required) — The type of actor
  - Allowed values: `account`, `user`, `run`
- `data` (map from string to any, optional) — Actor details (varies by actor type)

### ActionEffectTarget

- `object` (string, required) — The type of the affected resource
- `id` (string, required) — The ID of the affected resource

## Examples

**Response**

```json
{
  "object": "list",
  "data": [
    {
      "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "type": "add_sources",
      "object_type": "Business",
      "object_id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
      "created_at": "2026-01-15T12:00:00Z",
      "effects": [
        {
          "operation": "created",
          "diff": null,
          "target": {
            "object": "faa_airmen_certificate",
            "id": "c1d2e3f4-5678-90ab-cdef-1234567890ab"
          }
        }
      ],
      "actors": [
        {
          "actor_type": "account",
          "data": {
            "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
            "name": "Example Account"
          }
        },
        {
          "actor_type": "run",
          "data": {
            "agent": "address_verification",
            "id": "66666666-7777-8888-9999-000000000000",
            "status": "running",
            "thread_id": "11111111-2222-3333-4444-555555555555"
          }
        }
      ],
      "note": "Adding government verification source",
      "metadata": {
        "key": "value"
      }
    }
  ],
  "url": "url"
}
```

**SDK Code**

```python Actions list
import requests

url = "https://api.middesk.com/v1/actions"

querystring = {"object_id":"object_id","object_type":"businesses"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Actions list
const url = 'https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Actions list
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Actions list
require 'uri'
require 'net/http'

url = URI("https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Actions list
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Actions list
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Actions list
using RestSharp;

var client = new RestClient("https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Actions list
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/actions?object_id=object_id&object_type=businesses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```